org.eclipse.cdt.core.settings.model.extension

## Class CLanguageData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CLanguageData

All Implemented Interfaces:
  ICSettingBase

Direct Known Subclasses:
  CDefaultLanguageData

    public abstract class CLanguageData
    extends CDataObject

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Constructor Summary

Constructors
`protected` `CLanguageData()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `containsDiscoveredScannerInfo()`
`abstract ICLanguageSettingEntry[]` `getEntries(int kind)`
`abstract String` `getLanguageId()`
`abstract String[]` `getSourceContentTypeIds()`
`abstract String[]` `getSourceExtensions()`
`abstract int` `getSupportedEntryKinds()`
`int` `getType()`
`abstract void` `setEntries(int kind, ICLanguageSettingEntry[] entries)`
`abstract void` `setLanguageId(String id)`
`abstract void` `setSourceContentTypeIds(String[] ids)`
`abstract void` `setSourceExtensions(String[] exts)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`getId, getName, isValid, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CLanguageData

    protected CLanguageData()

### Method Detail

#### getType

    public final int getType()

Specified by:
  `getType` in class `CDataObject`

#### getLanguageId

    public abstract String getLanguageId()

#### setLanguageId

    public abstract void setLanguageId(String id)

#### getSourceContentTypeIds

    public abstract String[] getSourceContentTypeIds()

#### getSourceExtensions

    public abstract String[] getSourceExtensions()

#### getEntries

    public abstract ICLanguageSettingEntry[] getEntries(int kind)

#### setEntries

    public abstract void setEntries(int kind,
                                    ICLanguageSettingEntry[] entries)

#### getSupportedEntryKinds

    public abstract int getSupportedEntryKinds()

#### setSourceContentTypeIds

    public abstract void setSourceContentTypeIds(String[] ids)

#### setSourceExtensions

    public abstract void setSourceExtensions(String[] exts)

#### containsDiscoveredScannerInfo

    public boolean containsDiscoveredScannerInfo()